
// MainFrm.h : interface of the CMainFrame class
//

#pragma once
#include <GdiPlus.h>
#include <memory>
#include "TeeChart\tchart.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar	m_wndStatusBar;

	//UINT		m_nWheelCount;
	//UINT		m_nFlags;
	//short		m_zDelta;
	//CPoint	m_ptMouse;
	//UINT_PTR	m_nTimerID;
	//long		m_nSeriesIndex;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//afx_msg void OnSetFocus(CWnd *pOldWnd);

	//ULONG_PTR m_GdiPlusToken;
    std::unique_ptr<CTChart> m_pChart1;
    //std::unique_ptr<CTChart> m_pChart2;

	DECLARE_MESSAGE_MAP()

public:
	//afx_msg void OnTimer(UINT_PTR nID);
	//afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);

protected:
	DECLARE_EVENTSINK_MAP()

public:
};
